### Function

# Vips thread_shutdown

#### Declaration [src]

    void
    vips_thread_shutdown (
      void
    )

#### Description [src]

Free any thread-private data and flush any profiling information.

This function needs to be called when a thread that has been using vips exits. It is called for you by `vips_shutdown()` and for any threads created within the thread pool.

You will need to call it from threads created in other ways or there will be memory leaks. If you do not call it, vips will generate a warning message.

It may be called many times, and you can continue using vips after calling it. Calling it too often will reduce performance.